package it.sw.pa.comune.artegna.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class StrutturaDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(StrutturaDTO.class);
        StrutturaDTO strutturaDTO1 = new StrutturaDTO();
        strutturaDTO1.setId(1L);
        StrutturaDTO strutturaDTO2 = new StrutturaDTO();
        assertThat(strutturaDTO1).isNotEqualTo(strutturaDTO2);
        strutturaDTO2.setId(strutturaDTO1.getId());
        assertThat(strutturaDTO1).isEqualTo(strutturaDTO2);
        strutturaDTO2.setId(2L);
        assertThat(strutturaDTO1).isNotEqualTo(strutturaDTO2);
        strutturaDTO1.setId(null);
        assertThat(strutturaDTO1).isNotEqualTo(strutturaDTO2);
    }
}
